juzu

## Class Response.Redirect

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Redirect

- Enclosing class:
    Response

      public static class Response.Redirect
      extends Response

  A response instructing to execute an HTTP redirection after the current interaction.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.Redirect(String location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getLocation()`
    `Result.Redirect` | `result()`
    `String` | `toString()`
    `Response.Redirect` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
    `<T> Response.Redirect` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
    `Response.Redirect` | `withHeader(String name, String... value)`
    `Response.Redirect` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
    `<T> Response.Redirect` | `without(PropertyType<T> propertyType)` Removes a property.

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.Redirect

          public Response.Redirect(String location)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### with

          public <T> Response.Redirect with(PropertyType<T> propertyType,
                                   T propertyValue)
                                 throws NullPointerException

      Description copied from class: `Response`
      Set a property, if the value is null, the property is removed.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Throws:
        `NullPointerException` - if the property type is null

    - #### withHeader

          public Response.Redirect withHeader(String name,
                                     String... value)

      Overrides:
        `withHeader` in class `Response`

    - #### without

          public <T> Response.Redirect without(PropertyType<T> propertyType)
                                    throws NullPointerException

      Description copied from class: `Response`
      Removes a property.
      Overrides:
        `without` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public Response.Redirect with(PropertyType<Boolean> propertyType)
                                 throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to true.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### withNo

          public Response.Redirect withNo(PropertyType<Boolean> propertyType)
                                   throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to false.
      Overrides:
        `withNo` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### result

          public final Result.Redirect result()

      Specified by:
        `result` in class `Response`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 eXo Platform SAS. All rights reserved.